# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPLY.hpp File Reference

`#include "vl/Geometry.hpp"`
`#include "vl/ResourceLoadWriter.hpp"`
`#include "vl/ResourceDatabase.hpp"`

## Classes

class | vl::LoadWriterPLY
| The LoadWriterPLY class is a ResourceLoadWriter capable of reading PLY files. More...
class | vl::PlyLoader
| Loads a PLY file. More...
class | vl::PlyLoader::PlyPropertyAbstract
| Used by PlyLoader. More...
class | vl::PlyLoader::PlyScalar
| Used by PlyLoader. More...
class | vl::PlyLoader::PlyScalarList
| Used by PlyLoader. More...
class | vl::PlyLoader::PlyElement
| Used by PlyLoader. More...

## Namespaces

namespace | vl
| Visualization Library namespace.

## Defines

#define | LoadPLY_INCLUDE_ONCE

## Functions

ref< ResourceDatabase > | vl::loadPLY (VirtualFile *file)
ref< ResourceDatabase > | vl::loadPLY (const String &path)

## Define Documentation

#define LoadPLY_INCLUDE_ONCE

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:30 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.